<!DOCTYPE html>
<html>
<head>
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<style>
* {
  box-sizing: border-box;
}
body{
    background-color: #eff0f3;
}

.row::after {
  content: "";
  clear: both;
  display: table;
}

[class*="col-"] {
  float: left;
  padding: 15px;
}

html {
  font-family: "Lucida Sans", sans-serif;
}

.header {
  background-color:#eaddcf;
  color: #020826;
  padding: 15px;
}

.menu ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
}

.menu li {
  padding: 8px;
  margin-bottom: 7px;
  background-color:#8c7851;
  color: #fffffe;
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
}

.menu li:hover {
  background-color: #eaddcf;
}
.menu li a{
   text-decoration: none;
   color: #fffffe;
}

.aside {
  background-color: #8c7851;
  padding: 15px;
  color: #fffffe;
  text-align: center;
  font-size: 14px;
  box-shadow: 0 1px 3px rgba(0,0,0,0.12), 0 1px 2px rgba(0,0,0,0.24);
  border-radius: 10px;
}

.footer {
  background-color: #eaddcf;
  color: #020826;
  text-align: center;
  font-size: 12px;
  padding: 15px;
}

/* For mobile phones: */
[class*="col-"] {
  width: 100%;
}

@media only screen and (min-width: 600px) {
  /* For tablets: */
  .col-s-1 {width: 8.33%;}
  .col-s-2 {width: 16.66%;}
  .col-s-3 {width: 25%;}
  .col-s-4 {width: 33.33%;}
  .col-s-5 {width: 41.66%;}
  .col-s-6 {width: 50%;}
  .col-s-7 {width: 58.33%;}
  .col-s-8 {width: 66.66%;}
  .col-s-9 {width: 75%;}
  .col-s-10 {width: 83.33%;}
  .col-s-11 {width: 91.66%;}
  .col-s-12 {width: 100%;}
}
@media only screen and (min-width: 768px) {
  /* For desktop: */
  .col-1 {width: 8.33%;}
  .col-2 {width: 16.66%;}
  .col-3 {width: 25%;}
  .col-4 {width: 33.33%;}
  .col-5 {width: 41.66%;}
  .col-6 {width: 50%;}
  .col-7 {width: 58.33%;}
  .col-8 {width: 66.66%;}
  .col-9 {width: 75%;}
  .col-10 {width: 83.33%;}
  .col-11 {width: 91.66%;}
  .col-12 {width: 100%;}
}
</style>
</head>
<body>

<div class="header">
  <h1>MM3-Muhammad Fauzan Naufaldy-21102180</h1>
</div>

<div class="row">
  <div class="col-3 col-s-3 menu">
    <ul>
      <li><a href="inline_script.html">Inline Script</a></li>
      <li><a href="embedded_script.html">Embedded Script</a></li>
      <li><a href="external_script.html">External Script</a></li>
      <li><a href="DomMethod.html">Dom Method</a></li>
      <li><a href="DomElement.html">Dom Element</a></li>
      <li><a href="DomHtml.html">Dom Html</a></li>
      <li><a href="DomForm.html">Dom Form</a></li>
      <li><a href="DomCss.html">Dom Css</a></li>
      <li><a href="DomAnimation.html">Dom Animation</a></li>
      <li><a href="DomEvents.html">Dom Events</a></li>
      <li><a href="DomEventListener.html">Dom Event Listener</a></li>
      <li><a href="DomNavigation.html">Dom Navigation</a></li>
      <li><a href="DomNodes.html">Dom Nodes</a></li>
      <li><a href="DomCollection.html">Dom Collection</a></li>
      <li><a href="DomNodeList.html">Dom Node List</a></li>
      <!-- <li><a href="css_toolTips.html">css Tool Tips</a></li>
      <li><a href="css_flexBox.html">css Flexbox</a></li>
      <li><a href="css_boxSizing.html">css Box Sizing</a></li> -->
    </ul>
  </div>    

  <div class="col-6 col-s-9">
    <h1 style="text-align: center;">Java Script</h1>
    <h2>Pengertian Script Menurut Para Ahli:</h2>
    <p style="color: #716040;">
        1.Menurut Mac Bride (2007) dalam bukunya berjudul, Java Script, disebutkan bahwa JavaScript adalah bahasa pemrograman berbasis browser, dimana seluruh kodenya ditulis langsung ke dalam HTML dari halaman-halaman web yang kemudian diterjemahkan dan dieksekusi sebagai respon dari seluruh aktivitas yang terjadi pada halaman web.
        2.Menurut Deitel (2012) dalam bukunya berjudul C How to Program, menyebutkan bahwa JavaScript merupakan bahasa naskah yang sering digunakan untuk menambah program pada suatu halaman website sebagai contoh animasi dan interaksi dengan pengguna dan dapat digunakan di seluruh web browser.
        3.Menurut William & Sawyer (2011) dalam bukunya berjudul Using Information Technology:A Practical Introduction to Computers & Communications menyebutkan bahwa JavaScript merupakan bahasa naskah berorientasi objek yang digunakan pada web browser dengan menambahkan beberapa fungsi interaktif di halaman web.
        
        Sumber:https://www.logique.co.id/blog/2020/11/18/keuntungan-pengertian-javascript/ </p>

        <h2>Deskripsi Tugas</h2>
        <p>Practice ke 4 kali ini membahas mengenai java script dan mengimplementasikan java script .Mahasiswa mampu mengoperasikan visual studio code, gitlab dan juga hosting.Dengan pemanfaatan template dari w3schools serta mengimplementasikan js html dom diharapakan mahasiswa mampu memahami serta mengerjakan tugas dengan baik dan benar.Setelah selesai mengerjakan mahasiswa melakukan commit dan push ke dalam gitkab repository project.Kemudian upload kedalam hosting dan yang terakhir jangan lup untuk mensubmite link gitlab dan hosting kedalam form yang ada di lms.Jangan sampai terlambat ya karena jika terlambat mengalami pengurangan sebesar 30 point.

            GOOD LUCK!</p>
  </div>

  <div class="col-3 col-s-12">
    <div class="aside">
      <h2>Tentang Saya</h2>
     <img src="image/Untitled.jpg" alt="foto diri" width="100%">
     <p>Hallo perkenalkan saya Muhammad Fauzan Naufaldy.
      sekarang saya berumur 20 tahun, dan saya sekarang berkuliah di Teknik Teknologi Telkom Purwokerto.
     </p>
      <h2>Hobi</h2>
      <p>Saya menyukai banyak hobi yaitu melakukan beladiri, bermain futsal, bermain badminton dll.</p>
    </div>
  </div>
</div>

<div class="footer">
  <p>Made By | Muhammad Fauzan Naufaldy</p>
</div>

</body>
</html>


